import java.net.*;
 import java.io.*;

 public class TClient {
   private static final int PORTNUMBER = 8013;
   public static void main(String args[]) {
     Socket theSocket;
     BufferedReader theReader;
     String theAddress = "";

     // check the command line for a host address
     if (args.length != 1) {
      System.out.println("Usage: java TClient <address>");
      System.exit(1);
     }
     else
       theAddress = args[0];
 
     // connect to the server
     try {
       theSocket = new Socket(theAddress, PORTNUMBER);
       theReader =
         new BufferedReader(new
            InputStreamReader(theSocket.getInputStream()));

       // wait for a message

       String theLine;
       int c;
       while ((theLine = theReader.readLine()) != null) {
 
         // show the message to the user
         System.out.println("Server: " + theLine);
         break;
       }

       // Tear down the connection
       theReader.close();
       theSocket.close();
     } catch (IOException e) {
       System.err.println("Exception: " + e.getMessage());
     }
   }
 }
